package com.caimei365.manager.entity.hehe.product;


import lombok.Data;

import java.util.Date;

/**
 * 呵呵商城分享减免Entity
 * @author zzj
 */
@Data
public class ShareReduction {

	/**
	 * 活动名称
	 */
	private String name;
	/**
	 * 减免金额
	 */
	private Double reducedAmount;
	/**
	 * 减免条件
	 */
	private Double touchPrice;
	/**
	 * 分享次数
	 */
	private Integer shareNum;
	/**
	 * 上架时间
	 */
	private Date startTime;
	/**
	 * 下架时间
	 */
	private Date endTime;
	/**
	 * 添加时间
	 */
	private Date addTime;
	/**
	 * 状态：1待上架，2已上架，3已下架
	 */
	private Integer status;

}