package com.caimei365.manager.service.hehe.user.impl;


import com.caimei365.manager.dao.hehe.HeHeUserDao;
import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.hehe.user.HeHeUser;
import com.caimei365.manager.service.hehe.user.HeHeUserService;
import com.github.pagehelper.PageHelper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
@Slf4j
public class HeHeUserServiceImpl implements HeHeUserService {

    @Resource
    private HeHeUserDao userDao;

    @Override
    public ResponseJson<PaginationVo<HeHeUser>> SalesList(HeHeUser man, int pageNum, int pageSize) {
        man.setUserIdentity(2);
        PageHelper.startPage(pageNum, pageSize);
        List<HeHeUser> list = userDao.findList(man);
        PaginationVo<HeHeUser> page = new PaginationVo<>(list);
        return ResponseJson.success(page);
    }

    @Override
    public ResponseJson<PaginationVo<HeHeUser>> userList(HeHeUser man, int pageNum, int pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<HeHeUser> list = userDao.findList(man);
        PaginationVo<HeHeUser> page = new PaginationVo<>(list);
        return ResponseJson.success(page);
    }
}
