package com.caimei365.manager.entity.hehe.floor;

import lombok.Data;


@Data
public class ProductFloor {

    private String id;
    /**
     * 页面信息ID
     */
    private String pageId;
    /**
     * 楼层名称
     */
    private String title;
    /**
     * 描述
     */
    private String description;
    /**
     * 链接
     */
    private String link;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * pc状态
     */
    private String enabledStatus;
    /**
     * 1表示二级列表 2.表示项目详情 （用来区分网页列表中更多链接标签）
     */
    private String type;
    /**
     * 中层项目图片数量
     */
    private Long imageNum;
    /**
     * 小程序状态 0停用 1启用
     */
    private String crmEnabledStatus;
    /**
     * 图片信息json格式数据
     */
    private String images;
}
