package com.caimei365.manager.entity.hehe.product;

import lombok.Data;
import java.util.Date;



/**
 * 呵呵商城活动Entity
 */
@Data
public class HeHeActivity  {

	/**
	 * 活动名称
	 */
	private String name;
	/**
	 * 小程序状态:1启用,2停用
	 */
	private Integer status;
	/**
	 * 小程序列表缩略图
	 */
	private String listImage;
	/**
	 * 小程序详情主题图
	 */
	private String detailsImage;
	/**
	 * 开始时间
	 */
	private Date beginTime;
	/**
	 * 结束时间
	 */
	private Date endTime;
	/**
	 * 创建时间
	 */
	private Date addTime;
	/**
	 * 活动状态:1未开始,2进行中,3已结束
	 */
	private Integer activityStatus;
	/**
	 * 是否被选中
	 */
    private Boolean checked;

}